GridExportCallbacks

Overview | Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openswing.swing.export.java
Class GridExportCallbacks

    java.lang.Object
      org.openswing.swing.export.java.GridExportCallbacks

All Implemented Interfaces:
  java.io.Serializable

public class GridExportCallbacks
extends java.lang.Object
implements java.io.Serializable

Title: OpenSwing Framework

Description: Callback method invoked by export routine. Methods can be overrided in order to execute additional tasks.

Copyright: Copyright (C) 2006 Mauro Carniel

This file is part of OpenSwing Framework. This library is free software; you can redistribute it and/or modify it under the terms of the (LGPL) Lesser General Public License as published by the Free Software Foundation; GNU LESSER GENERAL PUBLIC LICENSE Version 2.1, February 1999 This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Library General Public License for more details. You should have received a copy of the GNU Library General Public License along with this library; if not, write to the Free Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA. The author may be contacted at: maurocarniel@tin.it

See Also:
  Serialized Form

Constructor Summary
`GridExportCallbacks()`

Method Summary
`ComponentExportOptions` | `getComponentPerRow(ValueObject vo, int row)`
`ComponentExportOptions` | `getComponentPerRowInFooter(ValueObject vo, int row)`
`ComponentExportOptions` | `getComponentPerRowInHeader(ValueObject vo, int row)`
`ComponentExportOptions` | `getFooterComponent()`
`ComponentExportOptions` | `getHeaderComponent()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GridExportCallbacks

    public GridExportCallbacks()

Method Detail

### getHeaderComponent

    public ComponentExportOptions getHeaderComponent()

  Returns:
    method invoked before adding grid header+rows to export document; if not null, then specified ComponentExportOptions will be added before grid

### getFooterComponent

    public ComponentExportOptions getFooterComponent()

  Returns:
    method invoked after adding grid header+rows to export document; if not null, then specified ComponentExportOptions will be added after grid

### getComponentPerRow

    public ComponentExportOptions getComponentPerRow(ValueObject vo,
                                                     int row)

  Parameters:
    `vo` - value object related to current exported row
    `row` - row index just exported
  Returns:
    method invoked after adding a row to export document; if not null, then specified ComponentExportOptions will be added after current row

### getComponentPerRowInHeader

    public ComponentExportOptions getComponentPerRowInHeader(ValueObject vo,
                                                             int row)

  Parameters:
    `vo` - value object related to current exported row belonging to "table header" (i.e. rows locked on the top of the grid)
    `row` - row index just exported
  Returns:
    method invoked after adding a row to export document; if not null, then specified ComponentExportOptions will be added after current row

### getComponentPerRowInFooter

    public ComponentExportOptions getComponentPerRowInFooter(ValueObject vo,
                                                             int row)

  Parameters:
    `vo` - value object related to current exported row belonging to "table footer" (i.e. rows locked on the bottom of the grid)
    `row` - row index just exported
  Returns:
    method invoked after adding a row to export document; if not null, then specified ComponentExportOptions will be added after current row

Overview | Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD